diff a/test/hotspot/jtreg/runtime/modules/PatchModule/PatchModuleDupModule.java b/test/hotspot/jtreg/runtime/modules/PatchModule/PatchModuleDupModule.java
--- a/test/hotspot/jtreg/runtime/modules/PatchModule/PatchModuleDupModule.java
+++ b/test/hotspot/jtreg/runtime/modules/PatchModule/PatchModuleDupModule.java
@@ -21,11 +21,11 @@
  * questions.
  */
 
 /*
  * @test
- * @summary Module system initialization exception results if a module is specificed twice to --patch-module.
+ * @summary If a module is specificed twice to --patch-module, it should print an error
  * @requires vm.flagless
  * @modules java.base/jdk.internal.misc
  * @library /test/lib
  * @run driver PatchModuleDupModule
  */
@@ -33,18 +33,18 @@
 import jdk.test.lib.process.OutputAnalyzer;
 import jdk.test.lib.process.ProcessTools;
 
 public class PatchModuleDupModule {
 
-  // The module system initialization should generate an ExceptionInInitializerError
   // if --patch-module is specified with the same module more than once.
+  // The launcher should print an error.
 
   public static void main(String args[]) throws Exception {
     ProcessBuilder pb = ProcessTools.createLimitedTestJavaProcessBuilder(
       "--patch-module=module_one=module_one_dir",
       "--patch-module=module_one=module_one_dir",
       "-version");
     OutputAnalyzer output = new OutputAnalyzer(pb.start());
-    output.shouldContain("java.lang.ExceptionInInitializerError");
+    output.shouldContain("Cannot specify a module more than once to --patch-module");
     output.shouldHaveExitValue(1);
   }
 }
